%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global pypi_name csscompressor

Name:           python-%{pypi_name}
Version:        0.9.4
Release:        1%{?dist}
Summary:        A python port of YUI CSS Compressor

License:        BSD
URL:            http://github.com/sprymix/csscompressor
Source0:        https://pypi.python.org/packages/dd/0c/7465590606effb750210225d845e816541bad7913fbbd6d200b6a0854d20/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  pytest

%description
Almost exact port of YUI CSS Compressor. Passes all original unittests.
You can use it in Python or in command line:
$ python -m csscompressor --help


%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        A python port of YUI CSS Compressor
 
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{pypi_name}
Almost exact port of YUI CSS Compressor. Passes all original unittests.
You can use it in Python or in command line:
$ python -m csscompressor --help
%endif


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python3}
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
%endif

%py2_install

%check
py.test %{pypi_name}
%if 0%{?with_python3}
py.test-3 %{pypi_name}
%endif


%files
%doc README.rst LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Wed Jun 08 2016 Aurelien Bompard <abompard@fedoraproject.org> - 0.9.4-1
- Initial package.
